#define MAX_CLIENTS 100
#define AUTOPORT 5150
#define RoomPortMin 6000
#define RoomPortMax 6100

class MasterNetwork {
public:
	MasterNetwork() {
		fd_set readfds;
		for (i = 0; i < MAX_CLIENTS; i++) {  
			clients[i] = 0;
		}
		if ((master_socket = socket(AF_INET , SOCK_STREAM , 0)) == 0) {  
			perror("<Network>: Socket failed.");
			exit(EXIT_FAILURE);
		}
		if (setsockopt(master_socket, SOL_SOCKET, SO_REUSEADDR, (char *)&opt,  sizeof(opt)) < 0) {
			perror("<Network>: setsockopt failed.");
			exit(EXIT_FAILURE);
		}
		
		address.sin_family = AF_INET;
		address.sin_addr.s_addr = INADDR_ANY;
		address.sin_port = htons(AUTOPORT);
		
		if (bind(master_socket, (struct sockaddr *)&address, sizeof(address)) < 0) {
			perror("<Network>: Failed to bind.");
			exit(EXIT_FAILURE);
		}
		printf("AutoServer listening on port %d.\n", AUTOPORT);
		
		if (listen(master_socket, 5) < 0) {
			perror("<Network>: Unable to listen.");
			exit(EXIT_FAILURE);
		}
		
		addrlen = sizeof(address);
		
		while (true) {
			FD_ZERO(&readfds);
			FD_SET(master_socket, &readfds);
			max_sd = master_socket;
		}
	}
private:
	int master_socket;
	int max_sd;
	int clients[MAX_CLIENTS];
	int fresh_socket;
	struct sockaddr_in address;
	char buffer[256];
	int addrlen;
}